package com.flyfish.framework.auditor;

import com.flyfish.framework.domain.base.Domain;

/**
 * 负责补全或者生成默认值（仅针对新建）
 *
 * @author wybab
 */
public interface BeanAuditor<T extends Domain> {

    /**
     * 对实体进行审查，并补全相关字段
     *
     * @param data 原数据
     * @return 结果
     */
    void audit(T data);
}
