package com.flyfish.framework.domain.base;

import com.flyfish.framework.domain.po.Department;
import com.flyfish.framework.domain.po.Role;
import com.flyfish.framework.domain.po.User;
import com.flyfish.framework.enums.UserStatus;
import com.flyfish.framework.enums.UserType;

import java.time.LocalDateTime;
import java.util.List;

public interface IUser {

    String getId();

    void setId(String id);

    String getCode();

    void setCode(String code);

    String getName();

    void setName(String name);

    UserType getType();

    void setType(UserType type);

    UserStatus getStatus();

    void setStatus(UserStatus status);

    String getPhone();

    void setPhone(String phone);

    String getUsername();

    void setUsername(String username);

    String getPassword();

    void setPassword(String password);

    Boolean getEnable();

    void setEnable(Boolean enable);

    Boolean getApp();

    void setApp(Boolean app);

    LocalDateTime getValidDate();

    void setValidDate(LocalDateTime validDate);

    List<Department> getDepartments();

    void setDepartments(List<Department> departments);

    List<Role> getRoles();

    void setRoles(List<Role> roles);

    String getOpenId();

    void setOpenId(String openId);

    String getAuthority();

    void setAuthority(String authority);

    Object getDetail();

    void setDetail(Object detail);

    User toUser();
}
