package com.flyfish.framework.user.domain;

import com.flyfish.framework.validation.annotations.Password;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * 修改密码dto
 *
 * @author wangyu
 */
@Getter
@Setter
public class UserPasswordDto {

    @NotBlank(message = "旧密码不可为空！")
    private String oldPassword;

    @NotBlank(message = "新密码不可为空！")
    @Password
    private String password;
}
