package com.flyfish.framework.user.service;

import com.flyfish.framework.domain.po.Department;
import com.flyfish.framework.service.BaseReactiveService;
import reactor.core.publisher.Mono;

import java.util.Set;

/**
 * 部门服务
 *
 * @author wangyu
 */
public interface DepartmentService extends BaseReactiveService<Department> {


    /**
     * 获取子部门列表
     *
     * @return 结果
     */
    Mono<Set<String>> getSubCodes(Set<String> parents);
}
