package com.flyfish.framework.domain.base;

import com.flyfish.framework.query.QueryDefinition;
import lombok.RequiredArgsConstructor;

/**
 * 基本查询qo
 *
 * @param <T> 泛型
 */
@RequiredArgsConstructor
public class SimpleQo<T extends Domain> extends BaseQo<T> {

    private final QueryDefinition query;

    public static <T extends Domain> Qo<T> of(QueryDefinition query) {
        return new SimpleQo<>(query);
    }

    @Override
    public QueryDefinition queryBuilder() {
        return query;
    }
}


