package com.flyfish.framework.query.support;

import java.io.Serializable;
import java.util.function.Function;

/**
 * 支持序列化的function
 *
 * @param <T> 泛型入参
 * @param <R> 泛型返回值
 */
@FunctionalInterface
public interface SFunction<T, R> extends Function<T, R>, Serializable {
}
