package com.flyfish.framework.r2dbc.config.callback;

import com.flyfish.framework.domain.base.Domain;
import com.flyfish.framework.repository.DefaultReactiveRepository;
import org.springframework.data.mapping.PersistentEntity;

@FunctionalInterface
interface RepositoryProvider {

    <T extends Domain, R extends DefaultReactiveRepository<T>> R get(PersistentEntity<?, ?> entity);
}
